Subject: Re: bug#9760: 24.0.50; crash

From: Eli Zaretskii <[email-masked]>
Date: Sun, 16 Oct 2011 08:40:36 -0400

> Date: Sun, 16 Oct 2011 07:19:48 -0400
> From: Richard Stallman <[email-masked]>
> CC: [email-masked]
> 
>     > #0  0x0043ff40 in set_cursor_from_row (w=0x8ee928, row=0xc558cc, 
>     >     matrix=0x8eef58, delta=0, delta_bytes=0, dy=0, dvpos=0) at xdisp.c:13693
> 
>     Line 13693 of xdisp.c is this:
> 
> 	while (/* not marched to end of glyph row */
> 
>     This cannot possibly crash.
> 
> It must be an optimization weirdness, because I have not updated that source
> file since compiling.  I updated and recompiled specifically to reproduce
> this in the latest sources.
> 
> It crashes with SEGV.
> 
> I can recompile with -O0 if that helps.

Yes, please.  Backtraces from optimized builds are useless for
debugging.